package com.ywt.request.inpatient;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.inpatient.DepositTradeResultResponseData;
import lombok.Data;

/**
 * 押金缴纳结果查询请求体
 */
@Data
public class DepositTradeResultRequest implements IsvRequest<DepositTradeResultResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId

    private String userId;//用户唯一id

    private String outTradeNo;//商家订单号(区别于支付宝订单号)，支付宝订单号为空时必填

    private String tradeNo;//支付宝订单号，商家订单号为空时必填

    @Override
    public String serviceName() {
        return "isvRequest.deposit.tradeResult";
    }
}