package com.ywt.request.inpatient;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.inpatient.SettlementAuthResponseData;
import lombok.Data;

/**
 * 出院预结算授权请求体
 */
@Data
public class SettlementAuthRequest implements IsvRequest<SettlementAuthResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId

    private String userId;//用户唯一id

    private String callUrl;//授权回调地址

    private String authCode;//授权码

    @Override
    public String serviceName() {
        return "isvRequest.settlement.auth";
    }
}