package com.ywt.request.nucleic;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.nucleic.NucleicOrderConfirmResponseData;
import lombok.Data;

/**
 * 核酸预约确认请求体
 */
@Data
public class NucleicOrderConfirmRequest implements IsvRequest<NucleicOrderConfirmResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId

    private String userId;//用户唯一id

    private String cardNum;//就诊卡号

    private String nucleicItemId;//核酸检测项目id

    private String hospitalDistrictId;//院区id

    private String testTimeId;//检测时间id，预约不支持时间选择时不填

    @Override
    public String serviceName() {
        return "isvRequest.nucleic.orderConfirm";
    }
}