package com.ywt.request.nucleic;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.nucleic.NucleicQuestionnaireResultResponseData;
import lombok.Data;

/**
 * 流行病学问卷回执请求体
 */
@Data
public class NucleicQuestionnaireResultRequest implements IsvRequest<NucleicQuestionnaireResultResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId

    private String userId;//用户唯一id

    private String cardNum;//就诊卡号

    private String answerList;

    @Data
    public static class AnswerItem{

        private String questionId;//题目id

        private String optionId;//选项id
    }

    @Override
    public String serviceName() {
        return "isvRequest.nucleic.questionnaireResult";
    }
}