package com.ywt.response;

import lombok.Data;

/**
 * 单条提醒信息
 **/
@Data
public class OrderReminderResponse {
    private String orderId;//预约订单号
    private String userName;//就诊卡姓名
    private String timeRange;//预约时间段  //2020-01-02 9:00:00至9:30:00
    private String doctorName;//医生姓名
    private String depName;//科室名称
    private String queueNum;//就诊号/排队号，允许为空或不返回此字段
    private String type;//提醒类型，order：预约提醒;queue：排队提醒;visit：就诊提醒;report：报告提醒;pay：缴费提醒;medicine：取药提醒
    private String noticePictureUrl;//提示图片地址
    private String leftover;//排队剩余人数，允许为空或不返回此字段
    private String context;//提醒内容，允许为空或不返回此字段 //请前往9号间检查
    private String description;//提示描述 //眼科（1号楼3层c区）
    private String status;//状态,expired：已过号，queuing：排队中，ringing：叫号中，completed：已完成
    private String object;//提醒项目,如：甲状腺彩超、取号
    private String level;//医生职级
    private String mainUrl;//主行动点链接
    private String textUrl;//文字行动点链接
    private String textUrlLabel;//文字链接显示文字
}
